package com.adealink.weparty.module.widget.form.field.picture

import android.content.Context
import android.view.ViewGroup
import androidx.lifecycle.LifecycleOwner
import com.adealink.weparty.module.widget.form.adapter.WidgetDelegate

class PictureDelegate :
    WidgetDelegate<PictureWidgetData, PictureWidgetView>() {
    override fun onCreateView(
        lifecycleOwner: LifecycleOwner,
        context: Context,
        parent: ViewGroup,
        data: PictureWidgetData
    ): PictureWidgetView {
        val widget = PictureWidgetView(context)
        parent.addView(
            widget, ViewGroup.LayoutParams(
                ViewGroup.LayoutParams.MATCH_PARENT,
                ViewGroup.LayoutParams.WRAP_CONTENT
            )
        )
        widget.onViewCreated(lifecycleOwner, data)
        return widget
    }
}